﻿@using SportsClub.Areas.Dashboard.Models
@model SchoolSettingRegistrationInfoViewModel
@{
    Layout = null;
}

<style>

</style>

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='SchoolSetting'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Registration information
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>

    <form novalidate>

        <fieldset>
            <div>

                <label>Website colors</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox"  ng-model="@Html.Ang( m => m.Colors)"  />
                </div>
                <div class="clearfix"></div>

                <label>Registration start time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.RegistrationStartTime)" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Registration start time">
                </div>
                <div class="clearfix"></div>
                <label>Registration end time</label>
                <div class="input-control date-time" data-role="input-control">
                    <input ng-model="@Html.Ang(m => m.RegistrationEndTime)" k-options="MC.timePickerOptionsAllTime5MinInterval" ng-focus="MC.dateTimePickerOpen($event)" ng-click="MC.dateTimePickerOpen($event)" ng-blur="MC.dateTimePickerClose($event)" kendo-time-picker placeholder="Registration end time">
                </div>
                

                <label>Late registration option</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedLateRegistrationOption)"
                                name="schoolType" data-placeholder="Select late registration option"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfLateRegistrationOption"></select>
                    </div>

                </div>
                <div class="clearfix"></div>
               <label>PTA reg fee (additional fee to be collected as fund raiser, to be added to the total at the check out time)</label>
                <div class="price-box">
                    <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClassFor(model => model.PTARegFee)>
                        <input ng-model="@Html.Ang(m => m.PTARegFee)" type="text" @Html.AngTooltipValidationFor(model => model.PTARegFee) />
                    </div>
                </div>


                <div class="clearfix"></div>
                
                <label>Scholarship requirement</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang( m => m.ScholarshipRequirement)" />
                </div>
                <div class="clearfix"></div>
                <label>Scholarship codes</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang( m => m.ScholarshipCodes)" />
                </div>
                <div class="clearfix"></div>
                <label>Special roster requirements</label>
                <div class="input-control text" data-role="input-control">
                    <input class="k-textbox" ng-model="@Html.Ang( m => m.SpecialRosterRequirements)" />
                </div>
                <div class="clearfix"></div>
                <label>Reconciliation details</label>
                <div class="input-control choosen" data-role="input-control">
                    <div>

                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedReconciliationDetail)"
                                name="schoolType" data-placeholder="Select reconciliation detail"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfReconciliationDetail"></select>
                    </div>

                </div>
                <div class="clearfix"></div>
                <label>Note</label>
                <div class="input-control textarea" data-role="input-control">
                    <textarea ng-model="@Html.Ang(m => m.Note)"></textarea>
                </div>
                  </div>
        </fieldset>
       

        <div class="clearfix"></div>
        <hr />
        <button ngaction="SchoolSetting_RegistrationInfo_Save" ng-click="save()" class="success large place-right">Save</button>
        <a class="place-left button link large" ui-sref='SchoolSetting'>Cancel</a>

    </form>
    <div class="clearfix"></div>
</div>